﻿#region Copyright © 2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace DevExpressContrib.Core.Interface
{
    /// <summary>
    /// Enumeration of display text elements.
    /// </summary>
    public enum ExceptionHandlerDisplayText
    {
        /// <summary>
        /// The exception dialog caption.
        /// </summary>
        DialogCaption,

        /// <summary>
        /// Email information content.
        /// </summary>
        EmailInformationText,

        /// <summary>
        /// How are you affected when the exception is fatal content.
        /// </summary>
        HowAffectedFatalText,

        /// <summary>
        /// How are you affected when the exception is not fatal content.
        /// </summary>
        HowAffectedNonFatalText,

        /// <summary>
        /// What happened content.
        /// </summary>
        WhatHappenedText,

        /// <summary>
        /// What to do content.
        /// </summary>
        WhatToDoText,

        /// <summary>
        /// What to do when email is active content.
        /// </summary>
        WhatToDoTextWithEmail,

        /// <summary>
        /// Email information group caption.
        /// </summary>
        EmailInformationCaption,

        /// <summary>
        /// How are you affected group caption.
        /// </summary>
        HowAffectedCaption,

        /// <summary>
        /// What happened group caption.
        /// </summary>
        WhatHappenedCaption,

        /// <summary>
        /// What to do group caption.
        /// </summary>
        WhatToDoCaption,

        /// <summary>
        /// Email subject text.
        /// </summary>
        EmailSubjectText
    }
}
