#region Copyright  2008-2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace DevExpressContrib.XtraGrid.DxValidateColumnProvider
{
    using System;

    /// <summary>
    /// The default column validation rule. Most column validation rules will descend from this class.
    /// </summary>
    public class ColumnValidationRule : ColumnValidationRuleBase, IColumnValidator
    {

        /// <summary>
        /// Initializes a new instance of the <see cref="ColumnValidationRule"/> class.
        /// </summary>
        /// <param name="name">The name of the validation rule.</param>
        public ColumnValidationRule(string name) : base(name) { }

        /// <summary>
        /// Initializes a new instance of the <see cref="ColumnValidationRule"/> class.
        /// </summary>
        public ColumnValidationRule() : this(String.Empty) { }


        /// <summary>
        /// Validates the specified value.
        /// </summary>
        /// <param name="value">The value.</param>
        /// <returns><c>true</c> if the value (or values) are valid; otherwise <c>false</c>.</returns>
        public override bool Validate(object value)
        {
            return true;
        }
    }
}
