﻿#region Copyright © 2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace Test.Ux.ExceptionHandler
{
    using System;
    using System.Windows.Forms;
    using DevExpressContrib.Core;
    using DevExpressContrib.Core.Interface;
    using DevExpressContrib.Core.Ux;

    public partial class Form1 : Form
    {
        private IExecptionHandler globalExceptionHandler;
        private DefaultServicesHelper servicesHelper;

        public Form1()
        {
            InitializeComponent();
            servicesHelper = new DefaultServicesHelper();
        }

        private void throwExceptionButton_Click(object sender, EventArgs e)
        {
            throw new Exception("This is a test exception!");
        }

        private void hookExceptionHandlerButton_Click(object sender, EventArgs e)
        {
            HookExceptionHandler();
        }

        private void HookExceptionHandler()
        {
            globalExceptionHandler = new DxExceptionHandler(servicesHelper, true);
            globalExceptionHandler.ProductName = "Test Product";
            globalExceptionHandler.UserDefined = new ExceptionHandlerUserDefined();
            // Obviously pass your own SMTP information here.
            globalExceptionHandler.SendExceptionEmail = new SmtpExceptionEmail("smtp.MyDomain.com", "toEmail@MyDomain.com", "userName", "password");
        }
    }
}
