#region Copyright  2008-2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace Test.Xpo.UpdateSchema.Data
{
    using System;
    using DevExpress.Xpo;
    using DevExpress.Xpo.Metadata;

    /// <summary>
    /// Test XPO object
    /// </summary>
    public class ModifyStringSize : XPObject
    {

        private string changeSize;
        private string defaultSize;
        [Size(24)]
        public string FieldChangeSize;
        private string maxString;
        private bool stringViaValueConverter;


        [Size(32)]
        public string ChangeSize
        {
            get { return changeSize; }
            set { SetPropertyValue("ChangeSize", ref changeSize, value); }
        }

        public string DefaultSize
        {
            get { return defaultSize; }
            set { SetPropertyValue("DefaultSize", ref defaultSize, value); }
        }

        [Size(SizeAttribute.Unlimited)]
        public string MaxString
        {
            get { return maxString; }
            set { SetPropertyValue("MaxString", ref maxString, value); }
        }

        [ValueConverter(typeof(BooleanValueConverter))]
        [Size(10)]
        public bool StringViaValueConverter
        {
            get { return stringViaValueConverter; }
            set { SetPropertyValue("StringViaValueConverter", ref stringViaValueConverter, value); }
        }
    }

    public class BooleanValueConverter : ValueConverter
    {

        public override Type StorageType
        {
            get { return typeof(string); }
        }


        public override object ConvertFromStorageType(object value)
        {
            return Boolean.Parse(value.ToString());
        }

        public override object ConvertToStorageType(object value)
        {
            return value.ToString();
        }
    }
}
