#region Copyright  2008-2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace Test.Xpo.UpdateSchema.Data
{
    using DevExpress.Xpo;
    using DevExpressContrib.Xpo.UpdateSchema.Interface;

    public class RenameColumns : XPObject
    {

        private int renameMe;
        private DeleteColumns renameMeFK;
        private string renameMeIndex;


        [RenameColumn("BadColumnName")]
        public int RenameMe
        {
            get { return renameMe; }
            set { SetPropertyValue("RenameMe", ref renameMe, value); }
        }

        [Association("Rename-Delete")]
        public DeleteColumns RenameMeFK
        {
            get { return renameMeFK; }
            set { SetPropertyValue("RenameMeFK", ref renameMeFK, value); }
        }

        [Indexed(Name = "Goober", Unique = true)]
        public string RenameMeIndex
        {
            get { return renameMeIndex; }
            set { SetPropertyValue("RenameMeIndex", ref renameMeIndex, value); }
        }
    }
}
