#region Copyright  2008-2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace Test.Xpo.UpdateSchema.Providers.Data
{
    using DevExpress.Xpo;

    public class StringTestClass : XPObject
    {

        [Size(32)]
        public string PublicField;
        [Size(SizeAttribute.Unlimited)]
        public string PublicFieldMax;
        public int PublicIntField;


        public string PublicFieldDefaultSize { get; set; }

        public int PublicIntProperty { get; set; }

        [Size(32)]
        public string PublicProperty { get; set; }

        public string PublicPropertyDefaultSize { get; set; }

        [Size(SizeAttribute.Unlimited)]
        public string PublicPropertyMax { get; set; }
    }

    public class StringTestTruncate : XPObject
    {

        private string truncateMe;


        public StringTestTruncate(Session session) : base(session) { }


        [Size(20)]
        public string TruncateMe
        {
            get { return truncateMe; }
            set { SetPropertyValue("TruncateMe", ref truncateMe, value); }
        }
    }
}
