#region Copyright  2008-2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace Test.Xpo.UpdateSchema.Providers.Data
{
    using DevExpress.Xpo;

    public class TestForeignKeyNoCollection : XPObject
    {

        private string data;


        public string Data
        {
            get { return data; }
            set { SetPropertyValue("Data", ref data, value); }
        }
    }

    public class TestForeignKeyNoCollectionChild : XPObject
    {

        private string data;
        [Association("TestForeignKeyNoCollection-TestForeignKeyChildren")]
        public TestForeignKeyNoCollection TestForeignKeyNoCollection;


        public string Data
        {
            get { return data; }
            set { SetPropertyValue("Data", ref data, value); }
        }
    }

    public class TestForeignKeyCollection : XPObject
    {

        private string data;


        public string Data
        {
            get { return data; }
            set { SetPropertyValue("Data", ref data, value); }
        }

        [Association("TestForeignKeyCollection-TestForeignKeyChildren")]
        public XPCollection<TestForeignKeyCollectionChild> TestForeignKeyChildren { get { return GetCollection<TestForeignKeyCollectionChild>("TestForeignKeyChildren"); } }
    }

    public class TestForeignKeyCollectionChild : XPObject
    {

        private string data;
        [Association("TestForeignKeyCollection-TestForeignKeyChildren")]
        public TestForeignKeyCollection TestForeignKeyNoCollection;


        public string Data
        {
            get { return data; }
            set { SetPropertyValue("Data", ref data, value); }
        }
    }

    // the many to many releationship from the XPO "How To" documentation
    public class Location : XPObject
    {

        public string Name;


        // Apply the Association attribute to mark the Departments property 
        // as the many end of the LocationsDepartments association.
        [Association("LocationsDepartments", typeof(Department))]
        public XPCollection Departments { get { return GetCollection("Departments"); } }
    }

    // Represents the Department class which contains its name 
    // and references all the locations of the department's offices.
    public class Department : XPObject
    {

        public string Name;


        // Apply the Association attribute to mark the Locations property 
        // as the many end of the LocationsDepartments association.
        [Association("LocationsDepartments", typeof(Location))]
        public XPCollection Locations { get { return GetCollection("Locations"); } }
    }
}
