#region Copyright  2008-2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace Test.Xpo.UpdateSchema.Providers.Data
{
    using DevExpress.Xpo;

    public class TestIndexes : XPObject
    {

        private string additionalFieldForIndex;
        private int hasIndexWithAdditionalFields;
        private int hasUniqueIndex;
        private double indexedNoName;
        private string noIndex;


        public string AdditionalFieldForIndex
        {
            get { return additionalFieldForIndex; }
            set { SetPropertyValue("AdditionalFieldForIndex", ref additionalFieldForIndex, value); }
        }

        [Indexed("AdditionalFieldForIndex")]
        public int HasIndexWithAdditionalFields
        {
            get { return hasIndexWithAdditionalFields; }
            set { SetPropertyValue("HasIndexWithAdditionalFields", ref hasIndexWithAdditionalFields, value); }
        }

        [Indexed(Unique = true)]
        public int HasUniqueIndex
        {
            get { return hasUniqueIndex; }
            set { SetPropertyValue("HasUniqueIndex", ref hasUniqueIndex, value); }
        }

        [Indexed]
        public double IndexedNoName
        {
            get { return indexedNoName; }
            set { SetPropertyValue("IndexedNoName", ref indexedNoName, value); }
        }

        public string NoIndex
        {
            get { return noIndex; }
            set { SetPropertyValue("NoIndex", ref noIndex, value); }
        }
    }
}
