#region Copyright  2008-2009, DevExpressContrib (MIT License)
// This software is licensed under The MIT License:
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
#endregion

namespace Test.Xpo.UpdateSchema
{
    internal class TestConnectionString
    {

        internal const string defaultDatabase = "Xpo_UpdateSchema_Test";
        internal const string ignoreProviderConnectionstring = "Ignore";

#if (MSSqlServer)
        //internal const string msSqlDataSource = @"WINXPPRO\SQLEXPRESS";
        internal const string msSqlDataSource = @"WINXPDEVVM\SQLEXPRESS";
        //internal const string msSqlDataSource = @"MWR-VISTAX64\SQLEXPRESS";
        internal const string msSqlConnectionString =
            "XpoProvider=MSSqlServer;data source=" + msSqlDataSource
            + ";integrated security=SSPI;initial catalog=" + defaultDatabase
            + ";Pooling=false";
#else
        internal const string msSqlConnectionString = ignoreProviderConnectionstring + " - MSSqlServer";
#endif
#if (MSAccess)
        internal const string accessConnectionString = "XpoProvider=MSAccess;Provider=Microsoft.Jet.OLEDB.4.0;"
            + @"Mode=Share Deny None;data source=C:\Temp\" + defaultDatabase + ".mdb;user id=Admin;password=;";
#else
        internal const string accessConnectionString = ignoreProviderConnectionstring + " - MSAccess";
#endif
#if (ASA)
        internal const string asaConnectionString = @"XpoProvider=Asa;uid=dba;pwd=sql;dbf=C:\Temp\"
            + defaultDatabase + ".db;persist security info=true;";
#else
        internal const string asaConnectionString = ignoreProviderConnectionstring + " - MSAccess";
#endif
#if (VistaDB3)
        internal const string vistaDB3ConnectionString = @"XpoProvider=VistaDB3;Data Source=C:\Temp\"
            + defaultDatabase + ".vdb3;Open Mode=NonexclusiveReadWrite;";
#else
        internal const string vistaDB3ConnectionString = ignoreProviderConnectionstring + " - VistaDB3";
#endif
    }
}
